package de.dhbwstuttgart.target.tree.type;

public record TargetSuperWildcard(TargetType innerType) implements TargetType {
    @Override
    public String toSignature() {
        return "-" + innerType.toSignature();
    }

    @Override
    public String toDescriptor() {
        return innerType.toDescriptor();
    }

    @Override
    public String getInternalName() {
        return innerType.getInternalName();
    }

    @Override
    public String name() {
        return innerType.name();
    }

    @Override
    public String toString() {
        return "? super " + innerType;
    }
}


